seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/02/21, 01:55:45


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: [solved] dependencies problem with xserver-xorg  (Read 19576 times)

0 Members and 1 Guest are viewing this topic.

Offline vilde

  • User
  • Posts: 662
Re: dependencies problem with xserver-xorg
« Reply #30 on: 2015/05/06, 22:51:08 »
I think this subject has become a little messy. For a beginner it's not that easy to know what to do or not.

Some say, put something on hold, some say that if you have nvidia drivers you can let some of the packages go and some say wait.

Why are everybody in that hurry? There are (for normal users) normally no need to d-u every day,  it's ok to wait a few days, a week or even longer if there is a problem.

If there is a long going problem with the dependencies there have so far always been a solution from the siduction team, fixed packages and or exact instructions how to come over the problem. That's one good reason to use siduction instead of plain sid.

  • Check Upgrade Warnings
  • apt-get dist-ugrade -d
  • If packages are to be removed don't go on if you are not sure what you are doing,

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.728
  • we are the priests ... of the temples of syrinx
Re: dependencies problem with xserver-xorg
« Reply #31 on: 2015/05/07, 03:39:20 »
Quote from: towo
Piper, you would not need to hold the xserver, since you use our nvidia-packages.

True, I have done a du since and let

xserver-xorg-video-modesetting

go


I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

Offline seasons

  • User
  • Posts: 241
Re: dependencies problem with xserver-xorg
« Reply #32 on: 2015/05/07, 04:11:07 »
So it would not make many sense to provide only the driver for that graphics card, that is used by you!

That's not what I said (or implied). The video-all metapackage itself should be included on live media, but to have an xserver metapackage depend on it rather than recommend it doesn't make sense to me, and it only seems to serve the purpose of causing headaches for non-live users that don't want the video-all package installed. *Shrug*

Offline John

  • Newbie
  • Posts: 3
Re: dependencies problem with xserver-xorg
« Reply #33 on: 2015/05/07, 09:45:54 »
...
So you cannot run dist-upgrade at this time.  When the dependencies for the new intel driver can all be satisfied, then it will come in during a d-u. So, we wait.

If you have already lost your intel driver, then you have the opportunity to either (a) reinstall from a Live ISO image or (b) practice your skills installing the older version intel driver using the "=2.21.15-2+b2" option. (Might or might not work correctly depending on what else happened during the last d-u).

EDIT:  Hint -- ver. 2.21.15-2+b2 is now in the stable repo, which you would need to enable.

Thanks dibl .. okay, I lost the drivers  :P with premature dist-upgrade .. think I'll wait .. any ideas how long it could last ?

Greetz

John

Offline dibl

  • siduction community member
  • Global Moderator
  • User
  • *****
  • Posts: 1.954
    • Land of the Buckeye
Re: dependencies problem with xserver-xorg
« Reply #34 on: 2015/05/07, 15:07:31 »
.. any ideas how long it could last ?


Not really -- the developer's ability to complete and test the code and build the critical package is the pacing item.  I've been a sid user for seven years, and I cannot recall waiting more than a week or ten days for a missing dependency to be finished.
Asus ROG STRIX X299-E, Core i7-7740X, Nvidia GTX-1060, dual monitors, SSD 860 EVO, 2@WD1003FZEX in BTRFS

Offline musca

  • Global Moderator
  • User
  • *****
  • Posts: 725
  • sid, fly high!
Re: dependencies problem with xserver-xorg
« Reply #35 on: 2015/05/08, 01:58:25 »
Hello,

good luck for intel users, not so good luck for radeon users!
# LANG=C apt-get install xserver-xorg-core xserver-xorg-video-{fbdev,intel,mach64,mga,nouveau,qxl,radeon,vesa,vmware}
...
Setting up xserver-xorg-video-fbdev (1:0.4.4-1+b3) ...
Setting up xserver-xorg-video-intel (2:2.99.917-1) ...
Setting up xserver-xorg-video-mach64 (6.9.5-1) ...
Setting up xserver-xorg-video-mga (1:1.6.4-1+b1) ...
Setting up xserver-xorg-video-nouveau (1:1.0.11-1+b1) ...
Setting up xserver-xorg-video-qxl (0.1.1.siduction.4) ...
Setting up xserver-xorg-video-radeon (1:7.5.0-1+b1) ...
Setting up xserver-xorg-video-vesa (1:2.3.3-1+b4) ...
Setting up xserver-xorg-video-vmware (1:13.1.0-1+b1) ...
The latest intel driver has hit unstable, finally! Jessie lacks this one, but even business linuces like Redhat Enterprise Linux support this unreleased beta driver.

Still missing: xserver-xorg-video-r128 and xserver-xorg-video-modesetting (version 0.9.0-1).
And so the wrapper xserver-xorg-video-ati is not installable because it depends on xserver-xorg-video-{mach64,r128,radeon}. Without ati you cant have its autodetection feature for the radeon driver (but you can help yourself with a conf-file including a device section for driver "radeon").

greetings
musca

 
„Es irrt der Mensch, solang er strebt.“  (Goethe, Faust)

Offline ayla

  • User
  • Posts: 1.697
Re: dependencies problem with xserver-xorg
« Reply #36 on: 2015/05/08, 09:49:53 »
Hi,

two things are not clear to me:

Do I need xserver-xorg-video-modesetting with xserver-xorg-video-intel?

debian package search says:

Quote
Packages providing xserver-xorg-video-modesetting

xserver-xorg-core

but xserver-xorg-core is marked to be upgradet as "modesetting" will get removed?
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.728
  • we are the priests ... of the temples of syrinx
Re: dependencies problem with xserver-xorg
« Reply #37 on: 2015/05/08, 12:23:29 »
Quote from: ayla
Hi,

two things are not clear to me:

Do I need xserver-xorg-video-modesetting with xserver-xorg-video-intel?

debian package search says:

QuotePackages providing xserver-xorg-video-modesetting

xserver-xorg-core
but xserver-xorg-core is marked to be upgradet as "modesetting" will get removed?

I let it go for now,  (nvidia) at this moment, it can't be reinstalled because of dependencies which at the moment is xorg-video-abi-19 and xserver-xorg-core you can read more at

http://www.x.org/wiki/ModeSetting/


And the big picture is

Code: [Select]
xserver-xorg : Depends: xserver-xorg-core (>= 2:1.15.0.901) but it is not going to be installed
                Depends: xserver-xorg-input-evdev but it is not going to be installed
 xserver-xorg-input-all : Depends: xserver-xorg-input-evdev but it is not going to be installed
                          Depends: xserver-xorg-input-synaptics but it is not going to be installed
 xserver-xorg-input-vmmouse : Depends: xorg-input-abi-21
                              Depends: xserver-xorg-core (>= 2:1.15.99.903) but it is not going to be installed
                              Depends: xserver-xorg-input-mouse but it is not going to be installed
 xserver-xorg-input-wacom : Depends: xorg-input-abi-21
                            Depends: xserver-xorg-core (>= 2:1.15.99.903) but it is not going to be installed
 xserver-xorg-video-ati : Depends: xorg-video-abi-19
                          Depends: xserver-xorg-core (>= 2:1.16.99.901) but it is not going to be installed
                          Depends: xserver-xorg-video-r128 but it is not going to be installed
                          Depends: xserver-xorg-video-mach64 but it is not going to be installed
                          Depends: xserver-xorg-video-radeon but it is not going to be installed
 xserver-xorg-video-fbdev : Depends: xorg-video-abi-19
                            Depends: xserver-xorg-core (>= 2:1.16.99.901) but it is not going to be installed
 xserver-xorg-video-intel : Depends: xorg-video-abi-19
                            Depends: xserver-xorg-core (>= 2:1.16.99.901) but it is not going to be installed
 xserver-xorg-video-mga : Depends: xorg-video-abi-19
                          Depends: xserver-xorg-core (>= 2:1.16.99.901) but it is not going to be installed
 xserver-xorg-video-modesetting : Depends: xorg-video-abi-19
                                  Depends: xserver-xorg-core (>= 2:1.16.99.901) but it is not going to be installed
 xserver-xorg-video-nouveau : Depends: xorg-video-abi-19
                              Depends: xserver-xorg-core (>= 2:1.16.99.901) but it is not going to be installed
 xserver-xorg-video-qxl : Depends: xorg-video-abi-18 but it is not installable
                          Depends: xserver-xorg-core (>= 2:1.15.99.903) but it is not going to be installed
 xserver-xorg-video-vesa : Depends: xorg-video-abi-19
                           Depends: xserver-xorg-core (>= 2:1.16.99.901) but it is not going to be installed
 xserver-xorg-video-vmware : Depends: xorg-video-abi-19
                             Depends: xserver-xorg-core (>= 2:1.16.99.901) but it is not going to be installed
I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

Offline ayla

  • User
  • Posts: 1.697
Re: dependencies problem with xserver-xorg
« Reply #38 on: 2015/05/08, 13:11:15 »
http://www.x.org/wiki/ModeSetting/

Thanks piper, that is about what I was looking for.

And after upgrading my second question is answered also:

Quote
apt-cache show xserver-xorg-core

Package: xserver-xorg-core
Source: xorg-server
Version: 2:1.17.1-2
Installed-Size: 5519
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Architecture: amd64
Replaces: xserver-xorg-video-modesetting
...

greets
ayla
Kernel: 4.18.11-towo.1-siduction-amd64 x86_64
Desktop: KDE Plasma 5.13.5
(mostly) kept current siduction "18.3.0 Patience"
HP EliteBook 8570p; MoBo: HP model: 17A7 v: KBC Version 42.35
Dual core  i5-3320M (-MT-MCP-)
Intel 3. Gen Graphics (Ivybridge) Driver:i915/ intel
 Wifi Intel Centrino N6205

Offline musca

  • Global Moderator
  • User
  • *****
  • Posts: 725
  • sid, fly high!
Re: dependencies problem with xserver-xorg
« Reply #39 on: 2015/05/08, 14:26:07 »
Hello Ayla,

a good observation! The changelog of xserver-xorg-core says:
* Enable the modesetting driver from xorg-server
It was not quite clear to me, but this means in xserver 1.17 xserver-xorg-core replaces xserver-xorg-video-modesetting. This fact was confirmed in #debian-x. So we can let go or even purge xserver-xorg-video-modesetting.

Now the last package to be uploaded (and still missing) is xserver-xorg-video-r128.

greetings
musca
„Es irrt der Mensch, solang er strebt.“  (Goethe, Faust)

Offline vayu

  • User
  • Posts: 204
Re: dependencies problem with xserver-xorg
« Reply #40 on: 2015/05/08, 19:55:37 »
My du wants to remove xserver-xorg-video-qxl.  Does anyone know if I need this.  It seems to be used for kvm. I use virtual box.  Currently I use built in intel hd4000 for video.

The following packages will be REMOVED:
  xserver-xorg-video-qxl

Offline musca

  • Global Moderator
  • User
  • *****
  • Posts: 725
  • sid, fly high!
Re: dependencies problem with xserver-xorg
« Reply #41 on: 2015/05/08, 20:44:14 »
hello,
you probably don't need qxl. (But the team uses it to quickly test new builds with kvm.)

Okay, our default package selection is complete now:
 
Code: [Select]
# LANG=C apt-get install xserver-xorg-video-{ati,fbdev,intel,mga,nouveau,qxl,vesa,vmware}...
Setting up xserver-xorg-video-r128 (6.10.0-1) ...
Setting up xserver-xorg-video-mach64 (6.9.5-1) ...
Setting up xserver-xorg-video-radeon (1:7.5.0-1+b1) ...
Setting up xserver-xorg-video-ati (1:7.5.0-1+b1) ...
Setting up xserver-xorg-video-fbdev (1:0.4.4-1+b3) ...
Setting up xserver-xorg-video-intel (2:2.99.917-1) ...
Setting up xserver-xorg-video-mga (1:1.6.4-1+b1) ...
Setting up xserver-xorg-video-nouveau (1:1.0.11-1+b1) ...
Setting up xserver-xorg-video-qxl (0.1.1.siduction.4) ...    (from siduction/fixes/ unstable/main)
Setting up xserver-xorg-video-vesa (1:2.3.3-1+b4) ...
Setting up xserver-xorg-video-vmware (1:13.1.0-1+b1) ...[/pre]
Be careful with lightdm config changes. It's okay to not accept the maintainer configs, but preserve the siduction config.

greetings
musca
« Last Edit: 2015/05/08, 20:53:36 by musca »
„Es irrt der Mensch, solang er strebt.“  (Goethe, Faust)

Offline piper

  • Global Moderator
  • User
  • *****
  • Posts: 1.728
  • we are the priests ... of the temples of syrinx
Re: dependencies problem with xserver-xorg
« Reply #42 on: 2015/05/09, 14:47:05 »
Quote from: ayla
Quote from: piper on Yesterday at 06:23:29 AMhttp://www.x.org/wiki/ModeSetting/
Thanks piper, that is about what I was looking for.

And after upgrading my second question is answered also:

Quoteapt-cache show xserver-xorg-core

Package: xserver-xorg-core
Source: xorg-server
Version: 2:1.17.1-2
Installed-Size: 5519
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Architecture: amd64
Replaces: xserver-xorg-video-modesetting
...
greets
ayla
Hmm, my copy & paste is getting bad, I even had a coffee, that was supposed to be included :)  danke !!
I either give too many fucks or no fucks at all, it's like I cannot find a middle ground for a moderate fuck distribution, it's like what the fuck

Free speech isn't just fucking saying what you want to say, it's also hearing what you don't want to fucking hear

Offline Lanzi

  • User
  • Posts: 1.622
Re: dependencies problem with xserver-xorg
« Reply #43 on: 2015/05/09, 16:25:03 »
I was following the subject slightly... a apt-get dist-upgrade -s doesn't seem to remove any programs.

is du possible today for intel-graphics users? is it safe?

Offline linearJim

  • User
  • Posts: 32
Re: dependencies problem with xserver-xorg
« Reply #44 on: 2015/05/09, 16:26:42 »
just did it with intel graphics, it removed xdesktop4 though...